Bug 167973 - [NEW PORT] games/bombherman: A Bomberman clone written in C++
Summary: [NEW PORT] games/bombherman: A Bomberman clone written in C++
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Jason Helfman
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2012-05-16 18:10 UTC by nemysis
Modified: 2012-10-10 00:57 UTC (History)
0 users

See Also:


Attachments
.shar (6.35 KB, text/plain)
2012-05-16 18:10 UTC, nemysis
no flags Details
bomb-her-man.shar (6.06 KB, application/x-shar)
2012-09-15 13:03 UTC, nemysis
no flags Details
bomb-her-man.shar (6.00 KB, application/x-shar)
2012-10-02 12:41 UTC, nemysis
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description nemysis 2012-05-16 18:10:02 UTC
A Bomberman clone written in C++, student project for SUPINFO, France

WWW: https://github.com/Keruspe/Bomb-her-man

Generated manually, tested with RedPorts and port test, sent with FreeBSD Port Tools 0.99_6 (mode: new)
Comment 1 Dmitry Marakasov freebsd_committer 2012-05-16 18:29:00 UTC
Responsible Changed
From-To: freebsd-ports-bugs->amdmi3

I'll take it.
Comment 2 Dmitry Marakasov freebsd_committer 2012-08-08 00:19:52 UTC
Responsible Changed
From-To: amdmi3->jgh

ENOTIME, reassign to jgh@
Comment 3 nemysis 2012-09-15 13:03:06 UTC
Added

USE_GITHUB=     yes

DESKTOP_ENTRIES=

# Fix locale
why isn't supplied in tarball
/po/Makefile.in.in


portlint -A
WARN: Makefile: [55]: You may remove pkg-plist if you use PLIST_FILES and/or PLIST_DIRS.
WARN: Makefile: [44]: possible direct use of command "false" found. use ${FALSE} instead.
WARN: Makefile: [15]: possible direct use of command "automake" found. Use ${AUTOMAKE} instead and set according USE_AUTOTOOLS=<tool> macro
0 fatal errors and 3 warnings found.

WARN: Makefile: [55] because is used, only if NLS is defined is in pkg-plist

PLIST_FILES+=<->share/locale/fr/LC_MESSAGES//${PORTNAME}.mo


WARN: Makefile: [44] because is used

DESKTOP_ENTRIES=...false


WARN: Makefile: [15] because is used

BUILD_DEPENDS=<>automake:${PORTSDIR}/devel/automake \


Build log RedPorts

https://redports.org/buildarchive/20120914185401-18029/
Comment 4 nemysis 2012-10-02 12:41:21 UTC
Changed to

DESKTOP_ENTRIES="Bomb-her-man" "${COMMENT}" "${PORTNAME}_48.png" \
                "${PORTNAME}" "Game;ArcadeGame;" ${FALSE}
Comment 5 Jason Helfman freebsd_committer 2012-10-10 00:57:07 UTC
State Changed
From-To: open->closed

New port added, with minor changes. Thanks!